Get a data asset by id - Gable Docs

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

/v0/data-asset/{id}

Try it

Get a data asset by id

cURL

curl --request GET \
  --url https://demo-api.gable.ai/v0/data-asset/{id} \
  --header 'X-API-KEY: <api-key>'

Python

import requests

url = "https://demo-api.gable.ai/v0/data-asset/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/data-asset/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Status Codes

Example Response

{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dataAssetResourceName": "<string>",
  "domain": "<string>",
  "path": "<string>",
  "versionDetail": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dataAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fields": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dataAssetVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "nativeDataType": "<string>",
        "type": {},
        "displayType": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "order": 123,
        "parentFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "deletedAt": "2023-11-07T05:31:56Z",
        "profile": {
          "sampledRecordsCount": 123,
          "nullable": true,
          "sampledFiles": [
            "<string>"
          ],
          "samplingParameters": {
            "rowSampleCount": 123,
            "recentFileCount": 123
          },
          "profileType": "boolean",
          "trueCount": 123,
          "falseCount": 123,
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "nullCount": 123,
          "sampledDate": "2023-11-07T05:31:56Z"
        }
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "violations": [
      {
        "contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "contractVersion": "<string>",
        "contractFieldName": "<string>",
        "entityType": "DATA_CONTRACT",
        "dataAssetResourceName": "<string>",
        "expectedValue": "<string>",
        "actualValue": "<string>",
        "contractName": "<string>",
        "contractDomain": "<string>",
        "dataAssetFieldProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "eventType": "VIOLATION",
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "prLink": "<string>"
      }
    ],
    "description": "<string>",
    "rawSchema": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "contractId": "<string>",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-KEY
Type: string
Location: header
Required: yes

Path Parameters

Response

Additional Response Structure

{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}